9.0.3 EAPs crash frequently

I have noticed that all of my EAP's since 214 (most history I did maintain) all have at least 1 core file. 413 has crashed 2-3 times in the few hours it has been installed (each time while right-clicking on a method). I also have a thread about how 289 used to crash when idle also. This is not normal behavior for previous Idea versions in the same environment. I have attached the core files. This is on Ubuntu 8.04 using JDK 6u20x64.



Attachment(s):
hs_err_pid20190.log.zip
hs_err_pid15367.log.zip
8 comments
Comment actions Permalink

It created thread dump directories, but they are empty. But the logs look like it is crashing in GotoAction. I will attach the log.



Attachment(s):
idea.log.zip
0
Comment actions Permalink

Another crash, this time during maven build.



Attachment(s):
hs_err_pid23650.log.zip
0
Comment actions Permalink

Charles, you should put Linux Ubuntu 8.04 x64 in your title, as I believe this issue is Linux - specific.
I have seen a similar error some months ago and posted about it. The nmethod.cpp:1836 is the same spot I was getting an Internal Error.

It appears there is a bug in the JIT when compiling bytecode to native code.  I don't think it is a bug in IDEA, but some change in IDEA's code may  have exposed the JIT bug, because I was using the same JVM 1.6u18 for awhile without problem and then starting with one version of IDEA, I started having these crashes on Ubuntu 8.04 x64.  I found if I used -Djava.compiler=None, then the crashes stopped -- but IDEA becomes unbearibly slow.  As far as I know, the bug is sitll not fixed in JDK 6. My solution has been to switch to Windows 2008 R2 OS to run IDEA.

-Alex

0
Comment actions Permalink

It may be worth giving JDK 6u21 a shot, as Oracle fixed a huge swathe of JIT, GC and compiler bugs - http://java.sun.com/javase/6/webnotes/BugFixes6u21.html

0
Comment actions Permalink

Will give that a try. Didn't know it was out yet.

0
Comment actions Permalink

Thanks. yeah, I have no problems on windows with my personal version. But, for work, I am stuck with Ubuntu.

0
Comment actions Permalink

I am now gettign this error. Is anyone else getting this?

ccanning@ccanning:~/intellij/idea9.x/bin$ ./idea.sh
YourKit Java Profiler 8.0.22 cannot start: latest Java 7 builds cannot be profiled anymore with this version of the profiler. To profile with Java 7, use YourKit Java Profiler 9.0 - http://www.yourkit.com/eap

ccanning@ccanning:~/intellij/idea9.x/bin$ $IDEA_JDK/bin/java -version
java version "1.6.0_21"
Java(TM) SE Runtime Environment (build 1.6.0_21-b06)
Java HotSpot(TM) 64-Bit Server VM (build 17.0-b16, mixed mode)

0
Comment actions Permalink

You can disable the yourkit integration by removing the followig line from idea.exe.vmoptions file.

-agentlib:yjpagent=disablej2ee,disablecounts,disablealloc,sessionname=IntelliJIdea90

To fix the problem, you probably need to download a newer version of the yourkit yjpagent.dll file from yourkit.com

-Alex

0

Please sign in to leave a comment.